/*
 *  XpmApplication.h
 *  appleevents
 *
 *  Created by Trenton Schulz on 10/31/04.
 *  Copyright 2004 Trolltech AS. All rights reserved.
 *
 */

#ifndef XPMAPPLICATON_H
#define XPMAPPLICATON_H

#include <Carbon/Carbon.h>
#include <qapplication.h>

class XpmViewer;
class XpmApplication : public QApplication
{
public:
    XpmApplication(int argc, char *argv[]);
    ~XpmApplication();
    void setXpmViewer(XpmViewer *XpmViewer);
    
protected:
    void customEvent(QCustomEvent *ev);
    
private:
    static OSErr appleEventHandler(const AppleEvent *ae, AppleEvent *, long handlerRefcon);
    XpmViewer *viewer;
};

#endif