/*
 *  XpmViewer.h
 *  appleevents
 *
 *  Created by Trenton Schulz on 10/31/04.
 *  Copyright 2004 Trolltech AS. All rights reserved.
 *
 */
#ifndef XPMVIEWER_H
#define XPMVIEWER_H

#include <qmainwindow.h>
#include <qpixmap.h>

class XpmViewer : public QMainWindow
{
    Q_OBJECT
public:
    XpmViewer(QWidget *parent = 0, const char *name = 0);
    void loadXpmFile(const QString &fileName);

public slots:
    void openXpm();
    
protected:
    void paintEvent(QPaintEvent *pe);
    void dropEvent(QDropEvent *de);
    void dragEnterEvent(QDragEnterEvent *dee);
    
private:
    QPixmap currXPM;
};

#endif